<?xml version="1.0"?>
<!DOCTYPE ejb-jar PUBLIC "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 1.2//EN" "http://java.sun.com/j2ee/dtds/ejb-jar_1_2.dtd">

<ejb-jar>
	<display-name>EJBUser Archive</display-name>
	<description>An archive containing a demo user-management setup via the EJBUser interface...</description>
	<enterprise-beans>
		<entity>
			<display-name>EJBUser</display-name>
			<description>EJBUser management....</description>
			<ejb-name>com.evermind.ejb.EJBUser</ejb-name>
			<home>com.evermind.ejb.EJBUserHome</home>
			<remote>com.evermind.ejb.EJBUser</remote>
			<ejb-class>com.evermind.ejb.EJBUserBean</ejb-class>
			<persistence-type>Container</persistence-type>
			<primkey-class>java.lang.String</primkey-class>
			<reentrant>False</reentrant>
			<cmp-field>
				<field-name>username</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>password</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>description</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>locale</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>certificateIssuerDN</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>certificateSerial</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>groups</field-name>
			</cmp-field>
			<primkey-field>username</primkey-field>
		</entity>
	</enterprise-beans>
	<assembly-descriptor>
	</assembly-descriptor>
</ejb-jar>
